Package jaxe

# Class GestionErreurs

java.lang.Object
jaxe.GestionErreurs

All Implemented Interfaces:
  `InterfaceGestionErreurs`

public class GestionErreurs extends Object implements InterfaceGestionErreurs
Le gestionnaire d'erreurs par défaut

## Constructor Summary

Constructors
Constructor
Description
`GestionErreurs(JaxeDocument doc)`

## Method Summary

Modifier and Type
Method
Description
`void`
`editionInterdite(JaxeElement parent, Element refElement)`
L'utilisateur a essayé d'ajouter un élément dans un élément qui n'est pas éditable
`void`
`enfantInterditSousParent(JaxeElement parent, Element refElement)`
Un enfant n'a pas été inséré parce-qu'il n'est pas autorisé sous le parent
`void`
`insertionImpossible(String expr, JaxeElement parent, Element refElement)`
L'enfant est interdit à cet endroit d'après l'expression régulière de l'élément parent.
`void`
`pasSousLaRacine(Element refElement)`
L'utilisateur a essayé d'ajouter un élément avant ou après la racine
`void`
`texteInterdit(JaxeElement parent)`
Le texte n'est pas autorisé sous cet élément

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GestionErreurs

public GestionErreurs(JaxeDocument doc)

## Method Details

### pasSousLaRacine

public void pasSousLaRacine(Element refElement)
Description copied from interface: `InterfaceGestionErreurs`
L'utilisateur a essayé d'ajouter un élément avant ou après la racine

Specified by:
  `pasSousLaRacine` in interface `InterfaceGestionErreurs`
Parameters:
  `refElement` - Référence vers l'élément que l'utilisateur a essayé d'ajouter

### editionInterdite

public void editionInterdite(JaxeElement parent, Element refElement)
Description copied from interface: `InterfaceGestionErreurs`
L'utilisateur a essayé d'ajouter un élément dans un élément qui n'est pas éditable

Specified by:
  `editionInterdite` in interface `InterfaceGestionErreurs`
Parameters:
  `parent` - L'élément Jaxe édité
  `refElement` - Référence vers l'élément que l'utilisateur a essayé d'ajouter

### enfantInterditSousParent

public void enfantInterditSousParent(JaxeElement parent, Element refElement)
Description copied from interface: `InterfaceGestionErreurs`
Un enfant n'a pas été inséré parce-qu'il n'est pas autorisé sous le parent

Specified by:
  `enfantInterditSousParent` in interface `InterfaceGestionErreurs`
Parameters:
  `parent` - L'élément Jaxe du parent
  `refElement` - Référence vers l'élément que l'utilisateur a essayé d'insérer

### insertionImpossible

public void insertionImpossible(String expr, JaxeElement parent, Element refElement)
Description copied from interface: `InterfaceGestionErreurs`
L'enfant est interdit à cet endroit d'après l'expression régulière de l'élément parent.

Specified by:
  `insertionImpossible` in interface `InterfaceGestionErreurs`
Parameters:
  `expr` - Expression régulière de l'élément parent
  `parent` - L'élément Jaxe du parent
  `refElement` - Référence vers l'élément que l'utilisateur a essayé d'insérer

### texteInterdit

public void texteInterdit(JaxeElement parent)
Description copied from interface: `InterfaceGestionErreurs`
Le texte n'est pas autorisé sous cet élément

Specified by:
  `texteInterdit` in interface `InterfaceGestionErreurs`
Parameters:
  `parent` - L'élément Jaxe sous lequel le texte n'est pas autorisé